classification
Title: String interpolation needs PEP 237 update
Type: Stage:
Components: Documentation Versions: Python 2.4
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: Neil Muller, georg.brandl, leogah
Priority: normal Keywords: patch

Created on 2005-02-28 20:37 by leogah, last changed 2008-05-11 09:06 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
stdtypes.tst.diff Neil Muller, 2008-05-10 14:32 Patch to update documentation about string interpolation functions
Messages (3)
msg60691 - (view) Author: Richard Brodie (leogah) Date: 2005-02-28 20:37
String interpolation in libstdtypes.tex doesn't yet
document PEP 237 (integer unification) changes.
Specifically that: %u %x %X and %o now do signed
conversions and that %u is obsolescent.

Also,  I can't parse the sentence beginning "The length
modifier"
msg66529 - (view) Author: Neil Muller (Neil Muller) Date: 2008-05-10 14:32
Update stdtypes.rst to note that %x, %X, %o can take signed values.

Note that %u is consider obsolete (referring to PEP 237)

Add a note on the length modifier description to clarify the meaning.
msg66615 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-11 09:06
Thanks, reviewed and committed the patch as r63049.
History
Date User Action Args
2008-05-11 09:06:46georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg66615
nosy: + georg.brandl
2008-05-10 14:32:07Neil Mullersetfiles: + stdtypes.tst.diff
keywords: + patch
messages: + msg66529
nosy: + Neil Muller
2005-02-28 20:37:23leogahcreate